# dipy_median_otsu

## Synopsis

Workflow wrapping the median_otsu segmentation method.

Applies median_otsu segmentation on each file found by ‘globing’ `input_files` and saves the results in a directory specified by `out_dir`.

## Usage

    dipy_median_otsu [OPTIONS] input_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

## General Options

- `--bvalues_files`

  Path to the b-values files. This path may contain wildcards to process multiple inputs at once. (default: None)

- `--b0_threshold`

  Threshold to consider a volume as b0. Used only if bvalues_files is provided. (default: 50)

- `--save_masked`

  Save mask. (default: False)

- `--median_radius`

  Radius (in voxels) of the applied median filter. (default: 2)

- `--numpass`

  Number of pass of the median filter. (default: 5)

- `--autocrop`

  Deprecated since version 1.11.0: This parameter is deprecated and will be removed in 1.13.0.

  If True, the mask is cropped to the bounding box of the non-zero elements. This is useful for large 3D volumes (e.g. 4D volumes) where the mask is not the same size as the input volume. (default: False)

- `--vol_idx`

  1D array representing indices of `axis=-1` of a 4D input_volume. From the command line use something like ‘1,2,3-5,7’. This input is required for 4D volumes if bval files are not provided. If bval files are provided, vol_idx is ignored and b0 volumes are used for mask computation. (default: None)

- `--dilate`

  number of iterations for binary dilation. (default: None)

- `--finalize_mask`

  Whether to remove potential holes or islands. Useful for solving minor errors. (default: False)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_mask`

  Name of the mask volume to be saved. (default: brain_mask.nii.gz)

- `--out_masked`

  Name of the masked volume to be saved. (default: dwi_masked.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.